GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tangibleId | no | string | Unique identifier for the tangible. |
| tangibleType | no | string | Type of the tangible. |
| tangibleName | no | string | Name of the tangible. |
| pageNum | no | int | Current page number, default is 1. |
| pageSize | no | int | Number of items per page default is 20. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| total | no | int | Total number of results |
| size | no | int | Number of items on the current page |
| result | no | TangibleInfo | List of query results |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: 92575d36dcb631ac94745e6b157de17a5a13d65b31e44869f06854ab928dd80235d4daae8696b4a92a7be5f802c45a219648701fc9ca59f44e9c0f022d5d38a7' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getTangible { getTangible(input: { tangibleId: \"testtangibleid1\" }) { errorCode errorInfo result { tangibleId tangibleType tangibleName extraInfo } } }"
}'{
"data": {
"getTangible": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": [
{
"tangibleId": "testtangibleid1",
"tangibleType": "ext",
"tangibleName": "testmodify",
"extraInfo": {
"testname": "bbb"
}
}
]
}
}
}